/* src/styles.css */
*,
*::after,
*::before {
  box-sizing: border-box;
  -webkit-tap-highlight-color: transparent;
}
*:not(dialog) {
  margin: 0;
}
button,
input,
select,
textarea {
  font: inherit;
}
canvas,
img,
picture,
svg,
video {
  border: none;
  display: block;
  max-width: 100%;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1.15;
  text-wrap: balance;
}
h1,
h2,
h3,
h4,
h5,
h6,
li,
p {
  overflow-wrap: break-word;
}
html,
body {
  height: 100%;
}
label {
  font-weight: var(--bold-font-weight);
}
p {
  text-wrap: pretty;
}
a {
  color: var(--link-colour);
  text-decoration: var(--link-decoration);
  text-underline-offset: var(--link-underline-offset);
}
a:hover {
  color: var(--link-hover-colour);
}
b,
strong {
  font-weight: var(--bold-font-weight);
}
body {
  background-color: var(--background-colour);
  color: var(--font-colour);
  font-family: var(--font-family);
  font-weight: var(--font-weight);
}
button:not(.button--raw):not(:has(selectedcontent)),
.button:not(.button--raw):not(:has(selectedcontent)) {
  align-items: center;
  background: var(--button-background-colour);
  border: solid var(--button-border-width) var(--button-border-colour);
  border-radius: var(--button-border-radius);
  color: var(--button-text-colour);
  display: flex;
  font-weight: var(--bold-font-weight);
  gap: 0.25rem;
  justify-content: center;
  padding: 0.5rem 1rem;
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))):disabled {
  cursor: not-allowed;
  opacity: 0.5;
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))):hover:not(:disabled):not(.button--waiting) {
  background: var(--button-hover-background-colour);
  border-color: var(--button-hover-border-colour);
  color: var(--button-hover-text-colour);
  cursor: pointer;
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--accept {
  background: var(--accept-button-background-colour);
  border: solid var(--button-border-width) var(--accept-button-border-colour);
  color: var(--accept-button-text-colour);
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--accept:hover:not(:disabled):not(.button--waiting) {
  background: var(--accept-button-hover-background-colour);
  border-color: var(--accept-button-hover-border-colour);
  color: var(--accept-button-hover-text-colour);
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--chip {
  border-radius: 0.5rem;
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--danger {
  background: var(--danger-button-background-colour);
  border: solid var(--button-border-width) var(--danger-button-border-colour);
  color: var(--danger-button-text-colour);
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--danger:hover:not(:disabled):not(.button--waiting) {
  background: var(--danger-button-hover-background-colour);
  border-color: var(--danger-button-hover-border-colour);
  color: var(--danger-button-hover-text-colour);
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--secondary {
  background: var(--secondary-button-background-colour);
  border: solid var(--button-border-width) var(--secondary-button-border-colour);
  color: var(--secondary-button-text-colour);
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--secondary:hover:not(:disabled):not(.button--waiting) {
  background: var(--secondary-button-hover-background-colour);
  border-color: var(--secondary-button-hover-border-colour);
  color: var(--secondary-button-hover-text-colour);
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--waiting {
  position: relative;
  pointer-events: none;
  color: transparent;
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--waiting::after {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  background: inherit;
  display: flex;
  align-items: center;
  justify-content: center;
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--waiting::before {
  content: "";
  position: absolute;
  z-index: 1;
  width: 1.25em;
  height: 1.25em;
  border: 2px solid currentColor;
  border-right-color: transparent;
  border-radius: 50%;
  color: var(--button-text-colour);
  animation: button-waiting-spin 0.6s linear infinite;
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--waiting.button--accept::before {
  color: var(--accept-button-text-colour);
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--waiting.button--danger::before {
  color: var(--danger-button-text-colour);
}
:is(button:not(.button--raw):not(:has(selectedcontent)), .button:not(.button--raw):not(:has(selectedcontent))).button--waiting.button--secondary::before {
  color: var(--secondary-button-text-colour);
}
@keyframes button-waiting-spin {
  to {
    rotate: 360deg;
  }
}
.card {
  background: var(--card-background-colour);
  border: solid var(--card-border-width) var(--card-border-colour);
  border-radius: 0.5rem;
  box-shadow: 2px 2px 4px 0px var(--card-shadow-colour);
  padding: 1rem;
}
.card--selected {
  background: var(--card-selected-background-colour);
  border-color: var(--card-selected-border-colour);
}
.flex {
  display: flex;
  gap: 1rem;
}
.flex--align-items-center {
  align-items: center;
}
.flex--column {
  flex-direction: column;
}
.flex--gapless {
  gap: 0;
}
.flex--justify-content-center {
  justify-content: center;
}
.flex--justify-content-flex-end {
  justify-content: flex-end;
}
.flex--justify-content-space-bt {
  justify-content: space-between;
}
.flex--loose-rows {
  row-gap: 1.5rem;
}
.flex--tight-cols {
  column-gap: 0.75rem;
}
.flex--tight-rows {
  row-gap: 0.75rem;
}
.flex--tighter-rows {
  row-gap: 0.5rem;
}
.flex--tightest-rows {
  row-gap: 0.375rem;
}
.flex-grow {
  flex-grow: 1;
}
.flex-wrap {
  flex-wrap: wrap;
}
h1,
h2,
h3,
h4,
h5,
h6,
.heading {
  color: var(--heading-colour);
  font-family: var(--heading-font-family), sans-serif;
  font-weight: var(--heading-font-weight);
  text-transform: var(--heading-text-transform);
}
h1 {
  font-size: 1.85rem;
}
h2 {
  font-size: 1.55rem;
}
h3 {
  font-size: 1.25rem;
}
h4 {
  font-size: 1rem;
}
h5 {
  font-size: 0.9rem;
}
h6 {
  font-size: 0.8rem;
}
input,
select,
textarea {
  background: var(--form-field-background-colour);
  border: solid var(--form-field-border-width) var(--form-field-border-colour);
  border-radius: var(--form-field-border-radius);
  padding: 0.75rem;
}
:is(input, select, textarea):focus {
  outline: var(--form-field-focus-colour) auto max(1px, calc(var(--form-field-border-width) - 1px));
}
optgroup legend {
  color: var(--form-field-text-colour) !important;
  display: block;
  padding: 1.25rem 0.75rem 0.375rem 0.75rem;
}
optgroup:first-of-type legend {
  padding-top: 0.375rem;
}
option {
  background: var(--form-field-background-colour);
  border-top: solid var(--form-field-border-width) var(--form-field-border-colour);
  display: flex;
  padding: 0.75em;
}
option:first-of-type {
  border: none;
}
option:focus-visible {
  outline: var(--form-field-focus-colour) auto max(1px, calc(var(--form-field-border-width) - 1px));
}
option:hover {
  background: var(--select-option-hover-background-colour);
  cursor: pointer;
}
option > .option--checked:after {
  height: 0.85em;
  transform: rotate(45deg) translate(-0.085em, -0.085em);
  width: 0.425em;
}
option::checkmark {
  display: none;
}
option:not(:checked) .option--checked {
  display: none;
}
option div:first-child {
  flex-grow: 1;
  text-wrap-mode: wrap;
}
.option--checked {
  align-items: center;
  border-radius: var(--form-field-border-radius);
  display: inline-flex;
  flex-shrink: 0;
  height: 1.2em;
  justify-content: center;
  width: 1.2em;
}
.option--checked:after {
  border: solid var(--select-option-check-colour);
  border-width: 0 0.15625em 0.15625em 0;
  content: "";
  display: block;
  height: 0.625em;
  transform: rotate(45deg) translate(-0.0625em, -0.0625em);
  width: 0.3125em;
}
.option--remark {
  flex-shrink: 0;
  font-weight: var(--bold-font-weight);
}
select,
select::picker(select) {
  appearance: base-select;
}
select {
  background: var(--form-field-background-colour);
  border: solid var(--form-field-border-width) var(--form-field-border-colour);
  border-radius: var(--form-field-border-radius);
  font: inherit;
  padding: 0.75rem;
  vertical-align: top;
}
select:hover {
  cursor: pointer;
}
select::picker(select) {
  border: solid var(--form-field-border-width) var(--form-field-border-colour);
  border-radius: var(--form-field-border-radius);
  margin: 0.25rem 0;
}
selectedcontent {
  align-items: center;
  color: var(--form-field-text-colour);
  display: flex;
  gap: 0.75em;
  width: 100%;
}
selectedcontent > div:first-child {
  flex-grow: 1;
}
selectedcontent .option--checked {
  background: var(--select-option-check-colour);
  order: -1;
}
selectedcontent .option--checked:after {
  border-color: #fff;
}
.show-mobile {
  display: none !important;
}
.toggle {
  align-items: center;
  background: var(--form-field-background-colour);
  border: solid var(--form-field-border-width) var(--form-field-border-colour);
  border-radius: var(--form-field-border-radius);
  cursor: pointer;
  display: flex;
  gap: 0.75rem;
  padding: 0.75rem;
}
.toggle:focus {
  outline: none;
}
.toggle.toggle--disabled {
  cursor: not-allowed;
  opacity: 0.5;
}
.toggle.toggle--selected {
  background: var(--toggle-selected-background-colour);
  border-color: var(--toggle-selected-border-colour);
}
.toggle.toggle--selected .toggle__tick {
  background: var(--toggle-tick-selected-background-colour);
  border-color: var(--toggle-tick-selected-border-colour);
  color: var(--toggle-tick-selected-colour);
}
.toggle__label {
  -webkit-user-select: none;
  user-select: none;
}
.toggle__tick {
  background: var(--form-field-background-colour);
  border: solid var(--form-field-border-width) var(--form-field-border-colour);
  border-radius: var(--form-field-border-radius);
  box-sizing: border-box;
  color: transparent;
  flex-shrink: 0;
  height: 1.25rem;
  padding: 0.125rem;
  width: 1.25rem;
}
.text-center {
  text-align: center;
}
@media (max-width: 767px) {
  .hide-mobile {
    display: none !important;
  }
  .show-mobile {
    display: block !important;
  }
}
.body--kiosk {
  font-size: 1.5rem;
}
.body--kiosk button:not(.button--raw):not(:has(selectedcontent)),
.body--kiosk .button:not(.button--raw):not(:has(selectedcontent)) {
  padding: 1.05rem 2.5rem;
}
.body--kiosk h1 {
  font-size: 4rem;
}
.body--kiosk h2 {
  font-size: 3rem;
}
.body--kiosk h3 {
  font-size: 2.25rem;
}
.body--kiosk h4 {
  font-size: 1.85rem;
}
.body--kiosk h5 {
  font-size: 1.25rem;
}
.body--kiosk h6 {
  font-size: 1rem;
}
.body--kiosk input,
.body--kiosk select,
.body--kiosk textarea,
.body--kiosk .toggle {
  padding: 1.05rem;
}
@media (min-width: 768px) {
  body {
    --button-border-width: var(--button-border-width-desktop);
    --card-border-width: var(--card-border-width-desktop);
    --form-field-border-width: var(--form-field-border-width-desktop);
    --product-border-width: var(--product-border-width-desktop);
    --quantity-selector-border-width: var(--quantity-selector-border-width-desktop);
  }
}

/* angular:styles/global:styles */
